#include <linux/module.h>
#include <linux/fs.h>

#include "arcfs.h"

extern struct super_block *arcfs_read_super(struct super_block *s, void *data,
					    int silent);

struct file_system_type arc_fs_type = {
	"arcfs",
	0, /* FS_NO_DCACHE */
	arcfs_read_super,
	NULL
};

int init_arc_fs(void)
{
  return register_filesystem(&arc_fs_type);
}

EXPORT_SYMBOL(arcfs_register);
EXPORT_SYMBOL(arcfs_unregister);
EXPORT_SYMBOL(arcfs_add_entry);
EXPORT_SYMBOL(arcfs_find_entry);
EXPORT_SYMBOL(default_arc_open);
EXPORT_SYMBOL(default_arc_seek);
EXPORT_SYMBOL(default_arc_read);
EXPORT_SYMBOL(default_arc_close);
EXPORT_SYMBOL(arc_skip_read);
EXPORT_SYMBOL(arcfs_alloc_memory);
EXPORT_SYMBOL(arc_dos2unix_time);
EXPORT_SYMBOL(arcfs_strip_topdir);

MODULE_DESCRIPTION("Archive filesystem");
MODULE_AUTHOR("Masanao Izumo");
